%define	upstream_name	 Config-General
%define upstream_version 2.65

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generic Config perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildArch:  noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changelog README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changelog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Tue Apr 12 2022 tv <tv> 2.650.0-1.mga9
+ Revision: 1848970
- update to 2.65

* Sun Mar 20 2022 umeabot <umeabot> 2.630.0-4.mga9
+ Revision: 1808569
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.630.0-3.mga8
+ Revision: 1503586
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.630.0-2.mga7
+ Revision: 1282331
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 2.630.0-1.mga7
+ Revision: 1132692
- update to 2.63

* Sat Jun 18 2016 pterjan <pterjan> 2.610.0-2.mga6
+ Revision: 1024287
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.610.0-1.mga6
+ Revision: 1007440
- update to 2.61

* Sat Jan 16 2016 shlomif <shlomif> 2.600.0-1.mga6
+ Revision: 923689
- update to 2.60

* Sat Jul 04 2015 sander85 <sander85> 2.580.0-1.mga6
+ Revision: 850473
- update to 2.58

* Sun Oct 19 2014 umeabot <umeabot> 2.560.0-4.mga5
+ Revision: 789925
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.560.0-3.mga5
+ Revision: 740285
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.560.0-2.mga5
+ Revision: 683977
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 2.560.0-1.mga5
+ Revision: 620478
- update to 2.56

* Sat Oct 19 2013 umeabot <umeabot> 2.520.0-2.mga4
+ Revision: 529485
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 2.520.0-1.mga4
+ Revision: 451940
- update to 2.52

* Sun Jan 13 2013 umeabot <umeabot> 2.510.0-2.mga3
+ Revision: 364620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 2.510.0-1.mga3
+ Revision: 285202
- update to 2.51

* Fri Jan 21 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 29948
- mageia rebuild
- imported package perl-Config-General

